Export a snapshot (§28)
Built FROM the snapshot (not live). Formats: json, csv (flat operations register). xlsx/pdf: the contract is reserved, currently REPORT_UNSUPPORTED_FORMAT (will be added in a separate iteration).
curl -X POST "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/report-snapshots/example_string/exports" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"format": "json",
"locale": "example_string",
"timezone": "example_string",
"includeOperationRegister": true
}'
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/report-snapshots/example_string/exports"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"format": "json",
"locale": "example_string",
"timezone": "example_string",
"includeOperationRegister": true
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/report-snapshots/example_string/exports", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"format": "json",
"locale": "example_string",
"timezone": "example_string",
"includeOperationRegister": true
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"format": "json",
"locale": "example_string",
"timezone": "example_string",
"includeOperationRegister": true
}`)
req, err := http.NewRequest("POST", "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/report-snapshots/example_string/exports", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/report-snapshots/example_string/exports')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"format": "json",
"locale": "example_string",
"timezone": "example_string",
"includeOperationRegister": true
}'
response = http.request(request)
puts response.body
{
"id": "example_string",
"snapshotId": "example_string",
"format": "example_string",
"status": "example_string",
"filename": "John Doe",
"mimeType": "example_string",
"sizeBytes": 3.14,
"fileHash": "example_string",
"requestedById": "example_string",
"completedAt": "example_string"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
/api/v1/vaults/{code}/report-snapshots/{snapshotId}/exportsTarget server for requests. Edit to use your own host.
Session token. Mobile/services. The web uses a cookie.
API key (sent in cookie)
Unique Vault code (slug)
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Session token. Mobile/services. The web uses a cookie.
API Key for authentication. Provide your API key in the cookie.
Path Parameters
Body
jsoncsvxlsxpdf